<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myInventoryItemLabel" jhiTranslate="mpmApp.inventoryItem.home.createOrEditLabel">Create or edit a Inventory Item</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!inventoryItem.idInventoryItem">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id" [(ngModel)]="inventoryItem.idInventoryItem" readonly />
        </div>
        <div class="form-group" [hidden]="!inventoryItem.idInventoryItem">
            <label class="form-control-label" jhiTranslate="mpmApp.inventoryItem.idOwner" for="field_idOwner">Id Owner</label>
            <input type="text" class="form-control" name="idOwner" id="field_idOwner"
                [(ngModel)]="inventoryItem.idOwner" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.inventoryItem.idFacility" for="field_idFacility">Id Facility</label>
            <input type="text" class="form-control" name="idFacility" id="field_idFacility"
                [(ngModel)]="inventoryItem.idFacility" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.inventoryItem.idContainer" for="field_idContainer">Id Container</label>
            <input type="text" class="form-control" name="idContainer" id="field_idContainer"
                [(ngModel)]="inventoryItem.idContainer" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.inventoryItem.idProduct" for="field_idProduct">Id Product</label>
            <input type="text" class="form-control" name="idProduct" id="field_idProduct"
                [(ngModel)]="inventoryItem.idProduct" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.inventoryItem.idFeature" for="field_idFeature">Id Feature</label>
            <input currencyMask class="form-control" name="idFeature" id="field_idFeature"
                [(ngModel)]="inventoryItem.idFeature"
                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                 readonly/>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.inventoryItem.qty" for="field_qty">Qty</label>
            <input currencyMask class="form-control" name="qty" id="field_qty"
                [(ngModel)]="inventoryItem.qty"
                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                 readonly/>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.inventoryItem.qtyBooking" for="field_qtyBooking">Qty Booking</label>
            <input currencyMask class="form-control" name="qtyBooking" id="field_qtyBooking"
                [(ngModel)]="inventoryItem.qtyBooking"
                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                 readonly/>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.inventoryItem.idFrame" for="field_idFrame">Id Frame</label>
            <input type="text" class="form-control" name="idFrame" id="field_idFrame"
                [(ngModel)]="inventoryItem.idFrame"  readonly/>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.inventoryItem.idMachine" for="field_idMachine">Id Machine</label>
            <input type="text" class="form-control" name="idMachine" id="field_idMachine"
                [(ngModel)]="inventoryItem.idMachine"  readonly/>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}" 
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}" 
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
